CustomersCustomer
Register customer
Registers a shopper using the store's configured identity scope and creates or links the customer record for this store.
POST
/v1/customer/registerRegisters a shopper using the store's configured identity scope and creates or links the customer record for this store.
Header Parameters
x-Store-Domain*string
Store slug or configured domain that selects the store context at the central Storefront gateway.
Length
1 <= length <= 253Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/customer/register" \ -H "x-Store-Domain: my-store" \ -H "Content-Type: application/json" \ -d '{ "email": "andrea@example.com", "firstName": "Andrea", "lastName": "Ramos", "countryIsoCode": "example_code", "password": "Example-Password-2026!", "phone": "+51987654321" }'{ "id": "7204558912004325301", "status": "active", "isVerified": false}